<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://java.sun.com/jsf/core">

        <h:form id="form4">

            <p:growl id="msgs" showDetail="true"/>

            <h:outputText value="referencegroup table is empty!" rendered="#{empty referencegroupview.referenceGroupList}"
                          style="font-size: 14px; color: #ffffff;"/>

            <p:dataTable id="referencegrouptable" var="r" value="#{referencegroupview.referenceGroupList}"
                         rendered="#{not empty referencegroupview.referenceGroupList}"
                         styleClass="table-cell"
                         headerClass="table-header"
                         rowKey="#{r.objectCode}"
                         scrollable="true" scrollHeight="150"
                         selectionMode="single"
                         selection="#{referencegroupview.concreetTReferenceGroup}"
                         rowStyleClass="row1Style"
                         columnClasses="columnClass" >

                <p:ajax event="rowSelect" listener="#{referencegroupview.onRowSelect}" update=":tabview, :tabview1, :tabview1:form:trighttable, :tabview1:form2:tsettingsmpostable" />

                <p:column width="40" headerText="OBJECTCODE" rendered="false"><h:outputLabel value="#{r.objectCode}" /></p:column>

                <p:column width="40" headerText="Объект" style="text-align: left" sortBy="#{r.object}">
                    <p:commandButton actionListener="#{referencegroupview.showEditDialog(r)}" rendered="#{(applicationUser.type==1)}" icon="ui-icon-pencil" title="Edit">
                        <p:ajax event="dialogReturn" listener="#{referencegroupview.onDialogClose}" update=":tabview:form4:msgs,:tabview:form4:referencegrouptable" />
                    </p:commandButton>
                    <h:outputText value="&#160;" /><h:outputText value="&#160;" />
                    <h:outputLabel value="#{r.object}" />
                </p:column>

                <p:column width="40" headerText="Описание" sortBy="#{r.description}"><h:outputLabel value="#{r.description}" /></p:column>

                <p:column width="40" headerText="Действие" sortBy="#{r.action}"><h:outputText value="#{
                                r.action eq 'S' ? 'Информационные запросы':
                                r.action eq 'M' ? 'Выполнение транзакций':
                                r.action eq 'SM' ? 'Инф запросы и транзакции':
                                r.action eq 'MS' ? 'Инф запросы и транзакции':null}" /></p:column>

                <p:column width="30" rendered="#{(applicationUser.type==1)}" headerText="Удалить">
                    <p:commandButton actionListener="#{referencegroupview.deleteRecord(r)}" icon="ui-icon-trash" title="Удалить" ajax="true" update="referencegrouptable" >
                        <p:confirm header="Confirmation" message="Вы действительно хотите удалить выбранную запись?" icon="ui-icon-alert"/>
                    </p:commandButton>
                </p:column>
            </p:dataTable>

            <p:contextMenu for="referencegrouptable">
                <p:menuitem value="Редактировать запись" actionListener="#{referencegroupview.showEditContextMenu}" ajax="false" icon="ui-icon-pencil" style="color: yellow; font-size: 12px;"/>
            </p:contextMenu>

            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                <p:commandButton value="Да" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                <p:commandButton value="Нет" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
            </p:confirmDialog>

            <p:separator/>

            <p:commandButton rendered="#{(applicationUser.type==1)}" value="Добавить ресурс UAPI" actionListener="#{referencegroupview.showAddNewDialog}">
                <p:ajax event="dialogReturn" listener="#{referencegroupview.onDialogClose}" update=":growlSave,referencegrouptable"/>
            </p:commandButton>

        </h:form>
</html>
